/* Over pagina */

/* Pagina wrapper */
.over-page-wrapper {
    display: flex;
    flex-direction: column;
    gap: 4rem;
    margin-bottom: 4rem;
}

/* Hero sectie */
#heroSection {
    background-color: var(--color-accent);
    margin-bottom: 4rem;
}

#heroSection .section-wrapper {
    display: flex;
}

/* Persoon kaart */
.person-card {
    position: relative;
    margin-bottom: 4rem;
}

/* XL margin klassen voor desktop */
@media (min-width: 1280px) {
    .xl\:margin-l-16 {
        margin-left: 4rem;
    }

    .xl\:margin-r-16 {
        margin-right: 4rem;
    }
}

/* Persoon kaart wrapper */
.person-card-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    overflow: hidden;
    padding: 0 !important;
    position: relative;
}

@media (min-width: 768px) {
    .person-card-wrapper {
        grid-template-columns: 320px 1fr;
    }
}

/* Achtergrondkleuren */
.bg-primary {
    background-color: var(--color-primary);
}

.bg-accent {
    background-color: var(--color-accent);
}

/* Background Logo */
.person-card-logo {
    position: absolute;
    bottom: -20%;
    right: -10%;
    z-index: 0;
    width: 30rem;
    height: 30rem;
    pointer-events: none;
}

.logo-opacity-10 {
    opacity: 0.1;
}

.logo-opacity-5 {
    opacity: 0.05;
}

/* Afbeelding en links kolom */
.person-card-image-column {
    width: 100%;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    height: 100%;
    position: relative;
    z-index: 1;
}

@media (min-width: 768px) {
    .person-card-image-column {
        width: 20rem;
    }
}

.person-card-image {
    width: 100%;
    height: 100%;
    max-height: 25rem;
    object-fit: cover;
}

.person-card-link {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 1.5rem;
}

/* Persoon kaart knop stijlen */
.button-secondary-darker {
    background-color: rgba(42, 56, 78, 0.8);
}

.button-secondary-darker:hover {
    background-color: rgba(42, 56, 78, 0.5);
}

/* Content kolom */
.person-card-content {
    padding: 3rem 1.5rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    position: relative;
    z-index: 1;
}

@media (min-width: 768px) {
    .person-card-content {
        padding: 3rem 4rem;
    }
}

.person-card-content h3 {
    margin-bottom: 0.5rem;
}

.person-card-content p {
    margin-bottom: 0.5rem;
}
